UPDATE OR INSERT INTO HOJAS (CODIGO, NOMBRE, TABLA, CAMPOS, URL, OBLIGATORIOS)
                     VALUES ('PL_1MB516', 'COMPROBANTES GESTION CON SUCURSALES', 'COMPROBANTES', 'TIPO,PREFIJO,NUMERO,CODESCENARIO,FECHA,VENCE,CODTERCERO,CODSUCURSAL,CODVENDEDOR,CODLISTA,CODUSUARIO,NOTA', 'https://xurl.es/pl_1mb516', 'TIPO,PREFIJO,NUMERO,CODESCENARIO,FECHA,VENCE,CODTERCERO,CODUSUARIO')
                   MATCHING (CODIGO);


COMMIT WORK;

UPDATE OR INSERT INTO HOJAS (CODIGO, NOMBRE, TABLA, CAMPOS, URL, OBLIGATORIOS)
                     VALUES ('PL_2MB516', 'MOVIMIENTO GESTION CON SUCURSALES', 'TR_INVENTARIO', 'TIPO,PREFIJO,NUMERO,RENGLON,CODBODEGA,CODCENTRO,CODREFERENCIA,SALIDA,UNITARIO,DESCUENTO,CODUSUARIO,NOTA', 'https://xurl.es/pl_2mb516', 'TIPO,PREFIJO,NUMERO,RENGLON,CODBODEGA,CODCENTRO,CODREFERENCIA,SALIDA,UNITARIO,DESCUENTO,CODUSUARIO')
                   MATCHING (CODIGO);


COMMIT WORK;

/*INFORME PARA CONSULTA ENVIOS ELECTRONICOS*/
UPDATE OR INSERT INTO INFORMES (CODIGO, NOMBRE, NOTA, SQL_CONSULTA, NATIVO, MODULO, FORMATO, PUBLICAR, CODGRUPO, RANGO, CATEGORIA, NIVEL, TABLERO, PRIORIDAD, DESTINO_FTP, CODREPORTE)
                        VALUES ('CEEMB516', 'CONSULTA ENVIOS ELECTRONICOS', NULL, 'SELECT F.Cufe, 
       F.Qrdata,
       F.Tipo,
       F.Prefijo,
       F.Numero,
       F.Tercero,
       F.Fecha_Envio,
       F.Signature
FROM Facturas F
LEFT JOIN Comprobantes C USING (Tipo, Prefijo, Numero)
LEFT JOIN Documentos D ON (D.Codigo = C.Tipo)
WHERE C.Fecha >= :Fecha
      AND D.Codigo_FE = ''FACTURA''', 'N', 'GESTION', NULL, 'N', 'PERSONALIZADOS', 'N', 'LIBRE', 5, 'N', 1, NULL, NULL)
                      MATCHING (CODIGO);


COMMIT WORK; 